import React from "react";
import { MessageProps } from "./Message.types";
export declare const Message: React.ForwardRefExoticComponent<MessageProps & React.RefAttributes<HTMLDivElement>> & {
    Avatar: React.ForwardRefExoticComponent<import("./MessageAvatar").MessageAvatarComponentProps & React.RefAttributes<HTMLDivElement>>;
    Body: React.ForwardRefExoticComponent<import("./MessageBody").MessageBodyProps & React.RefAttributes<HTMLDivElement>>;
    Actions: React.ForwardRefExoticComponent<import("./MessageActions").MessageActionsProps & React.RefAttributes<HTMLDivElement>>;
    Timestamp: React.ForwardRefExoticComponent<import("./MessageTimestamp").MessageTimestampProps & React.RefAttributes<HTMLDivElement>>;
    List: React.ForwardRefExoticComponent<import("./MessageList.types").MessageListProps & React.RefAttributes<import("..").ScrollAreaRef>>;
    Status: React.FC<import("./MessageStatusIndicator").MessageStatusIndicatorProps>;
    SenderName: React.FC<import("./MessageSenderName").MessageSenderNameProps>;
    File: React.FC<import("./MessageFile").MessageFileProps>;
    Image: React.FC<import("./MessageImage").MessageImageProps>;
    Audio: React.FC<import("./MessageAudio").MessageAudioProps>;
    Link: React.FC<import("./MessageLink").MessageLinkProps>;
    Reply: React.FC<import("./MessageReply").MessageReplyProps>;
    Reactions: React.FC<import("./MessageReactions").MessageReactionsProps>;
    DateDivider: React.FC<import("./MessageDateDivider").MessageDateDividerProps>;
};
